package be.iminds.ilabt.jfed.ui.javafx.glyphs;

import org.controlsfx.glyphfont.GlyphFont;
import org.controlsfx.glyphfont.GlyphFontRegistry;
import org.controlsfx.glyphfont.INamedCharacter;

import java.io.InputStream;
import java.util.Arrays;

public class FAGlyphFont extends GlyphFont {

    static final String FONT_NAME = "Font Awesome 5 Pro Solid";

    public FAGlyphFont() {
        this(14);
    }

    public FAGlyphFont(int defaultSize) {
        super(FONT_NAME, defaultSize, FAGlyphFont.class.getResourceAsStream("fontawesome.otf"));
        registerAll(Arrays.asList(Glyph.values()));
    }

    public static void register() {
        GlyphFontRegistry.register(new FAGlyphFont());
    }

    public static enum Glyph implements INamedCharacter {
        CLOUD_SHOWERS_HEAVY('\uf740'),
        CHEVRON_SQUARE_RIGHT('\uf32b'),
        BOW_ARROW('\uf6b9'),
        CHEVRON_CIRCLE_RIGHT('\uf138'),
        WIZARDS_OF_THE_COAST('\uf730'),
        EXTERNAL_LINK_SQUARE_ALT('\uf360'),
        PENCIL_ALT('\uf303'),
        BOX_USD('\uf4a0'),
        FOOTBALL_HELMET('\uf44f'),
        CROP_ALT('\uf565'),
        RECYCLE('\uf1b8'),
        CHEVRON_SQUARE_UP('\uf32c'),
        BALLOT_CHECK('\uf733'),
        DRAFTING_COMPASS('\uf568'),
        ALARM_CLOCK('\uf34e'),
        BLANKET('\uf498'),
        DHARMACHAKRA('\uf655'),
        TOMBSTONE_ALT('\uf721'),
        FIREPLACE('\uf79a'),
        GOPURAM('\uf664'),
        CARET_UP('\uf0d8'),
        SCHOOL('\uf549'),
        SNOWFLAKES('\uf7cf'),
        USERS_COG('\uf509'),
        CARET_SQUARE_RIGHT('\uf152'),
        UPLOAD('\uf093'),
        HUMIDITY('\uf750'),
        VENUS('\uf221'),
        HEADING('\uf1dc'),
        BICYCLE('\uf206'),
        TIRED('\uf5c8'),
        PRINT_SLASH('\uf686'),
        USPS('\uf7e1'),
        SQUARE_ROOT_ALT('\uf698'),
        PERSON_CARRY('\uf4cf'),
        TACHOMETER('\uf0e4'),
        CREATIVE_COMMONS('\uf25e'),
        GRADUATION_CAP('\uf19d'),
        HAND_PAPER('\uf256'),
        EQUALS('\uf52c'),
        TRUCK_COUCH('\uf4dd'),
        FILE_INVOICE('\uf570'),
        FILE_MINUS('\uf318'),
        SIGNAL_SLASH('\uf695'),
        DICE_D10('\uf6cd'),
        DICE_D12('\uf6ce'),
        ITUNES('\uf3b4'),
        CALENDAR_TIMES('\uf273'),
        SMOKE('\uf760'),
        GOOGLE_PLUS('\uf2b3'),
        CC_STRIPE('\uf1f5'),
        EYE_SLASH('\uf070'),
        ARROW_ALT_FROM_BOTTOM('\uf346'),
        FEATHER_ALT('\uf56b'),
        DNA('\uf471'),
        ARROW_FROM_RIGHT('\uf344'),
        BASEBALL_BALL('\uf433'),
        FIVEHUNDREDPX('\uf26e'),
        HOSPITAL('\uf0f8'),
        COINS('\uf51e'),
        COMMENT_CHECK('\uf4ac'),
        CREATIVE_COMMONS_ZERO('\uf4f3'),
        PHOENIX_SQUADRON('\uf511'),
        FILE_CHART_PIE('\uf65a'),
        MUSIC('\uf001'),
        PASSPORT('\uf5ab'),
        FILE_SPREADSHEET('\uf65b'),
        BLOGGER_B('\uf37d'),
        SHOPPING_CART('\uf07a'),
        LUNGS('\uf604'),
        STRIPE_S('\uf42a'),
        AMAZON_PAY('\uf42c'),
        YAHOO('\uf19e'),
        AWARD('\uf559'),
        PHONE('\uf095'),
        PERSON_DOLLY_EMPTY('\uf4d1'),
        LONG_ARROW_ALT_RIGHT('\uf30b'),
        ADDRESS_CARD('\uf2bb'),
        ECLIPSE('\uf749'),
        GITKRAKEN('\uf3a6'),
        WAND('\uf72a'),
        LIFE_RING('\uf1cd'),
        SIGN_IN('\uf090'),
        HUBSPOT('\uf3b2'),
        PHONE_OFFICE('\uf67d'),
        TOILET_PAPER('\uf71e'),
        BOX_FRAGILE('\uf49b'),
        USER_INJURED('\uf728'),
        LASTFM('\uf202'),
        BATTERY_THREE_QUARTERS('\uf241'),
        OBJECT_UNGROUP('\uf248'),
        BRIEFCASE('\uf0b1'),
        USER_FRIENDS('\uf500'),
        WORDPRESS_SIMPLE('\uf411'),
        OIL_CAN('\uf613'),
        PAW_CLAWS('\uf702'),
        SEARCH_LOCATION('\uf689'),
        WINDOW_MAXIMIZE('\uf2d0'),
        MASTODON('\uf4f6'),
        CONTAINER_STORAGE('\uf4b7'),
        STEP_BACKWARD('\uf048'),
        HDD('\uf0a0'),
        YANDEX_INTERNATIONAL('\uf414'),
        FILE_EDIT('\uf31c'),
        AMBULANCE('\uf0f9'),
        ETHERNET('\uf796'),
        CALENDAR_EDIT('\uf333'),
        WIND('\uf72e'),
        UNIVERSAL_ACCESS('\uf29a'),
        TRAFFIC_LIGHT_GO('\uf638'),
        KEYBOARD('\uf11c'),
        HAT_WINTER('\uf7a8'),
        HEADPHONES_ALT('\uf58f'),
        BATTERY_HALF('\uf242'),
        PROJECT_DIAGRAM('\uf542'),
        WHATSAPP_SQUARE('\uf40c'),
        BACKPACK('\uf5d4'),
        BADGER_HONEY('\uf6b4'),
        ERLANG('\uf39d'),
        COFFEE('\uf0f4'),
        HAND_POINT_RIGHT('\uf0a4'),
        FORT_AWESOME_ALT('\uf3a3'),
        CONVEYOR_BELT('\uf46e'),
        VOLCANO('\uf770'),
        CARET_RIGHT('\uf0da'),
        BONG('\uf55c'),
        BONE('\uf5d7'),
        ADOBE('\uf778'),
        MAP_MARKER_EXCLAMATION('\uf608'),
        BALANCE_SCALE('\uf24e'),
        SPIDER('\uf717'),
        HOCKEY_MASK('\uf6ee'),
        SPINNER('\uf110'),
        ELLO('\uf5f1'),
        RUPEE_SIGN('\uf156'),
        RV('\uf7be'),
        MAP_MARKER_TIMES('\uf60e'),
        SMS('\uf7cd'),
        POUND_SIGN('\uf154'),
        VIBER('\uf409'),
        TIRE_PRESSURE_WARNING('\uf633'),
        SURPRISE('\uf5c2'),
        BADGE_PERCENT('\uf646'),
        VIDEO_SLASH('\uf4e2'),
        HOUZZ('\uf27c'),
        DEWPOINT('\uf748'),
        TEMPERATURE_FRIGID('\uf768'),
        WINE_BOTTLE('\uf72f'),
        BOOK_READER('\uf5da'),
        SOUNDCLOUD('\uf1be'),
        UPS('\uf7e0'),
        FILTER('\uf0b0'),
        FONTICONS('\uf280'),
        TACHOMETER_FASTEST('\uf62b'),
        FOLDER_OPEN('\uf07c'),
        SIGNATURE('\uf5b7'),
        THUMBTACK('\uf08d'),
        USER('\uf007'),
        DICE_TWO('\uf528'),
        HAMMER_WAR('\uf6e4'),
        DELICIOUS('\uf1a5'),
        SIGNAL_ALT('\uf690'),
        CALCULATOR_ALT('\uf64c'),
        SORT_DOWN('\uf0dd'),
        BITCOIN('\uf379'),
        COMPACT_DISC('\uf51f'),
        PERCENTAGE('\uf541'),
        ROUTE_INTERSTATE('\uf61b'),
        HAT_WITCH('\uf6e7'),
        STICKER_MULE('\uf3f7'),
        DIGG('\uf1a6'),
        STOCKING('\uf7d5'),
        TACHOMETER_ALT_SLOW('\uf627'),
        STROOPWAFEL('\uf551'),
        ARROW_SQUARE_UP('\uf33c'),
        DATABASE('\uf1c0'),
        TREE('\uf1bb'),
        EBAY('\uf4f4'),
        SHOWER('\uf2cc'),
        DRUM_STEELPAN('\uf56a'),
        FILE_UPLOAD('\uf574'),
        FLAME('\uf6df'),
        MEDKIT('\uf0fa'),
        MINUS('\uf068'),
        USER_NINJA('\uf504'),
        FILE_CHART_LINE('\uf659'),
        KAABA('\uf66b'),
        RAM('\uf70a'),
        WIKIPEDIA_W('\uf266'),
        SNAPCHAT_SQUARE('\uf2ad'),
        WOLF_PACK_BATTALION('\uf514'),
        FIELD_HOCKEY('\uf44c'),
        SPADE('\uf2f4'),
        MAIL_BULK('\uf674'),
        FIRST_ORDER('\uf2b0'),
        FILE_PLUS('\uf319'),
        CHESS('\uf439'),
        FILE_EXPORT('\uf56e'),
        SIGN_LANGUAGE('\uf2a7'),
        MOBILE_ANDROID_ALT('\uf3cf'),
        CREATIVE_COMMONS_SHARE('\uf4f2'),
        INDUSTRY_ALT('\uf3b3'),
        SNOWFLAKE('\uf2dc'),
        ELLIPSIS_H_ALT('\uf39b'),
        GOOGLE_PLUS_SQUARE('\uf0d4'),
        TRUCK_PLOW('\uf7de'),
        SWATCHBOOK('\uf5c3'),
        CHART_AREA('\uf1fe'),
        THEMECO('\uf5c6'),
        THUNDERSTORM_SUN('\uf76e'),
        PINTEREST('\uf0d2'),
        BOX_OPEN('\uf49e'),
        DOG('\uf6d3'),
        FIRST_ORDER_ALT('\uf50a'),
        DOLLY_FLATBED_EMPTY('\uf476'),
        BOMB('\uf1e2'),
        MITTEN('\uf7b5'),
        RANDOM('\uf074'),
        CHESS_ROOK('\uf447'),
        VIACOIN('\uf237'),
        ICICLES('\uf7ad'),
        COMMENT_EDIT('\uf4ae'),
        CAMERA_RETRO('\uf083'),
        PRODUCT_HUNT('\uf288'),
        COPY('\uf0c5'),
        VOLUME_SLASH('\uf2e2'),
        TRAM('\uf7da'),
        HOCKEY_PUCK('\uf453'),
        TWITTER_SQUARE('\uf081'),
        BEZIER_CURVE('\uf55b'),
        FOLDER('\uf07b'),
        RSS('\uf09e'),
        SIGN_OUT('\uf08b'),
        MAP_MARKER_QUESTION('\uf60b'),
        COMPRESS_ALT('\uf422'),
        STOP('\uf04d'),
        AMAZON('\uf270'),
        MONEY_CHECK_ALT('\uf53d'),
        TOOLBOX('\uf552'),
        LIST_OL('\uf0cb'),
        BAT('\uf6b5'),
        HORSE_HEAD('\uf7ab'),
        SCRUBBER('\uf2f8'),
        TV_RETRO('\uf401'),
        USER_TAG('\uf507'),
        MICROSCOPE('\uf610'),
        BAN('\uf05e'),
        STEAM('\uf1b6'),
        PLAYSTATION('\uf3df'),
        CAR_CRASH('\uf5e1'),
        LEAF_OAK('\uf6f7'),
        ANALYTICS('\uf643'),
        JOURNAL_WHILLS('\uf66a'),
        HAMMER('\uf6e3'),
        HOURGLASS('\uf254'),
        ITUNES_NOTE('\uf3b5'),
        USD_CIRCLE('\uf2e8'),
        REDDIT('\uf1a1'),
        CODE_BRANCH('\uf126'),
        HAT_SANTA('\uf7a7'),
        TREE_CHRISTMAS('\uf7db'),
        PINTEREST_P('\uf231'),
        MEH('\uf11a'),
        TOOTHBRUSH('\uf635'),
        WIFI_2('\uf6ab'),
        HTML5('\uf13b'),
        WIFI_1('\uf6aa'),
        LIST_ALT('\uf022'),
        SD_CARD('\uf7c2'),
        COW('\uf6c8'),
        LAUGH_SQUINT('\uf59b'),
        CREDIT_CARD('\uf09d'),
        LEAF_HEART('\uf4cb'),
        COG('\uf013'),
        HANUKIAH('\uf6e6'),
        MONEY_CHECK('\uf53c'),
        HACKERRANK('\uf5f7'),
        PERISCOPE('\uf3da'),
        BLUETOOTH_B('\uf294'),
        ARROW_TO_BOTTOM('\uf33d'),
        TRADE_FEDERATION('\uf513'),
        BONE_BREAK('\uf5d8'),
        TACHOMETER_ALT_FAST('\uf625'),
        SNAPCHAT('\uf2ab'),
        TINT('\uf043'),
        CHROME('\uf268'),
        MIZUNI('\uf3cc'),
        QUOTE_RIGHT('\uf10e'),
        LONG_ARROW_DOWN('\uf175'),
        BEER('\uf0fc'),
        PERSON_SIGN('\uf757'),
        SCARECROW('\uf70d'),
        COMMENT_EXCLAMATION('\uf4af'),
        SUPERPOWERS('\uf2dd'),
        FAST_FORWARD('\uf050'),
        MAP_MARKED_ALT('\uf5a0'),
        GLASS_CHAMPAGNE('\uf79e'),
        CHILD('\uf1ae'),
        KISS_BEAM('\uf597'),
        CLOUDSMITH('\uf384'),
        ANCHOR('\uf13d'),
        HAND_POINT_LEFT('\uf0a5'),
        USER_TIMES('\uf235'),
        EAR_MufS('\uf795'),
        DIGITAL_OCEAN('\uf391'),
        MANDALORIAN('\uf50f'),
        DIZZY('\uf567'),
        KISS_WINK_HEART('\uf598'),
        ALGOLIA('\uf36c'),
        SWIMMING_POOL('\uf5c5'),
        DEPLOYDOG('\uf38e'),
        DHL('\uf790'),
        WEIGHT_HANGING('\uf5cd'),
        VR_CARDBOARD('\uf729'),
        MEETUP('\uf2e0'),
        MAP_MARKER_MINUS('\uf609'),
        INVENTORY('\uf480'),
        TIMES_OCTAGON('\uf2f0'),
        EXPAND_WIDE('\uf320'),
        ELLIPSIS_V_ALT('\uf39c'),
        BELLS('\uf77f'),
        SATELLITE('\uf7bf'),
        CREATIVE_COMMONS_SAMPLING_PLUS('\uf4f1'),
        ACCUSOFT('\uf369'),
        GRATIPAY('\uf184'),
        UNICORN('\uf727'),
        FLASK_POISON('\uf6e0'),
        MINUS_CIRCLE('\uf056'),
        CHESS_PAWN('\uf443'),
        TRUCK_RAMP('\uf4e0'),
        TOMBSTONE('\uf720'),
        RAINDROPS('\uf75c'),
        CALENDAR_STAR('\uf736'),
        SNOWMAN('\uf7d0'),
        LAPTOP('\uf109'),
        TORAH('\uf6a0'),
        USER_LOCK('\uf502'),
        TILDE('\uf69f'),
        USER_CIRCLE('\uf2bd'),
        DIVIDE('\uf529'),
        HANDSHAKE('\uf2b5'),
        STREET_VIEW('\uf21d'),
        GREATER_THAN('\uf531'),
        WHATSAPP('\uf232'),
        SAVE('\uf0c7'),
        SPIDER_WEB('\uf719'),
        MENORAH('\uf676'),
        INTERCOM('\uf7af'),
        NINTENDO_SWITCH('\uf418'),
        FILE_MEDICAL_ALT('\uf478'),
        BOXES('\uf468'),
        FILE_CHECK('\uf316'),
        FIRSTDRAFT('\uf3a1'),
        GIFT('\uf06b'),
        TABLET_ANDROID_ALT('\uf3fc'),
        XBOX('\uf412'),
        COGS('\uf085'),
        HOCKEY_STICKS('\uf454'),
        CLOUD_RAIN('\uf73d'),
        APP_STORE('\uf36f'),
        CHEVRON_CIRCLE_LEFT('\uf137'),
        MORTAR_PESTLE('\uf5a7'),
        SIGNAL('\uf012'),
        BUS_ALT('\uf55e'),
        FILE_CODE('\uf1c9'),
        CLOUD_HAIL('\uf739'),
        CENTOS('\uf789'),
        CROWN('\uf521'),
        MAXCDN('\uf136'),
        EXCHANGE_ALT('\uf362'),
        HACKER_NEWS_SQUARE('\uf3af'),
        STAR_OF_DAVID('\uf69a'),
        CASH_REGISTER('\uf788'),
        EXCLAMATION_CIRCLE('\uf06a'),
        PARKING_CIRCLE_SLASH('\uf616'),
        COMMENTS('\uf086'),
        COMMENTS_DOLLAR('\uf653'),
        FOG('\uf74e'),
        BACKSPACE('\uf55a'),
        SPEAKAP('\uf3f3'),
        CARET_CIRCLE_LEFT('\uf32e'),
        BOLD('\uf032'),
        CORN('\uf6c7'),
        ARTSTATION('\uf77a'),
        BOLT('\uf0e7'),
        LESS_THAN_EQUAL('\uf537'),
        USERS_CROWN('\uf6a5'),
        PLUG('\uf1e6'),
        USER_ALT('\uf406'),
        WPRESSR('\uf3e4'),
        JOOMLA('\uf1aa'),
        PLUS('\uf067'),
        HAND_HOLDING_BOX('\uf47b'),
        TWITCH('\uf1e8'),
        BULLSEYE_ARROW('\uf648'),
        QUESTION_CIRCLE('\uf059'),
        SKETCH('\uf7c6'),
        CAULDRON('\uf6bf'),
        BATH('\uf2cd'),
        NETWORK_WIRED('\uf6ff'),
        TACHOMETER_ALT_AVERAGE('\uf624'),
        PLANE_ARRIVAL('\uf5af'),
        WIFI_SLASH('\uf6ac'),
        CAR_BATTERY('\uf5df'),
        DOOR_CLOSED('\uf52a'),
        WORDPRESS('\uf19a'),
        SPINNER_THIRD('\uf3f4'),
        USER_MINUS('\uf503'),
        STEAM_SQUARE('\uf1b7'),
        FONT_AWESOME_LOGO_FULL('\uf4e6'),
        MEDIUM('\uf23a'),
        GRIP_HORIZONTAL('\uf58d'),
        DICE_FOUR('\uf524'),
        DEAF('\uf2a4'),
        PAYPAL('\uf1ed'),
        TABLET_ANDROID('\uf3fb'),
        ANGELLIST('\uf209'),
        OTTER('\uf700'),
        FIST_RAISED('\uf6de'),
        PAINT_BRUSH('\uf1fc'),
        INBOX_OUT('\uf311'),
        SHOPWARE('\uf5b5'),
        HANDSHAKE_ALT('\uf4c6'),
        DOG_LEASHED('\uf6d4'),
        GG_CIRCLE('\uf261'),
        WATER_RISE('\uf775'),
        BULLSEYE_POINTER('\uf649'),
        ARROW_UP('\uf062'),
        BIMOBJECT('\uf378'),
        MONEY_BILL_WAVE('\uf53a'),
        DOT_CIRCLE('\uf192'),
        DRIBBBLE_SQUARE('\uf397'),
        STAR_HALF('\uf089'),
        SPLOTCH('\uf5bc'),
        STAR_HALF_ALT('\uf5c0'),
        GENDERLESS('\uf22d'),
        BOOK_DEAD('\uf6b7'),
        CHECK('\uf00c'),
        POWER_OFF('\uf011'),
        DRAW_CIRCLE('\uf5ed'),
        USER_CROWN('\uf6a4'),
        FLAG_USA('\uf74d'),
        JENKINS('\uf3b6'),
        TRANSGENDER('\uf224'),
        PLUS_SQUARE('\uf0fe'),
        PALFED('\uf3d8'),
        NODE('\uf419'),
        CREDIT_CARD_FRONT('\uf38a'),
        ASTERISK('\uf069'),
        PLUS_CIRCLE('\uf055'),
        TEMPERATURE_HOT('\uf76a'),
        FLUSHED('\uf579'),
        OMEGA('\uf67a'),
        TREE_ALT('\uf400'),
        BITBUCKET('\uf171'),
        PEOPLE_CARRY('\uf4ce'),
        SHOVEL_SNOW('\uf7c3'),
        BEHANCE_SQUARE('\uf1b5'),
        CHESS_BOARD('\uf43c'),
        DIGITAL_TACHOGRAPH('\uf566'),
        ANGLE_DOUBLE_DOWN('\uf103'),
        TEETH('\uf62e'),
        HAND_SCISSORS('\uf257'),
        STETHOSCOPE('\uf0f1'),
        FIRE_ALT('\uf7e4'),
        BACKWARD('\uf04a'),
        IGLOO('\uf7ae'),
        NOTES_MEDICAL('\uf481'),
        REPLYD('\uf3e6'),
        FULCRUM('\uf50b'),
        NOT_EQUAL('\uf53e'),
        OSI('\uf41a'),
        PIED_PIPER_PP('\uf1a7'),
        SKIING('\uf7c9'),
        CHAIR('\uf6c0'),
        SCALPEL_PATH('\uf61e'),
        ANGLE_DOUBLE_LEFT('\uf100'),
        CHART_LINE_DOWN('\uf64d'),
        FOURSQUARE('\uf180'),
        ANGLE_LEFT('\uf104'),
        PIGGY_BANK('\uf4d3'),
        PRAYING_HANDS('\uf684'),
        CLOUD_DOWNLOAD('\uf0ed'),
        TROPHY('\uf091'),
        CLOUDS('\uf744'),
        FOLDER_MINUS('\uf65d'),
        FRAGILE('\uf4bb'),
        DEMOCRAT('\uf747'),
        MAGNET('\uf076'),
        GRIMACE('\uf57f'),
        CHEVRON_DOWN('\uf078'),
        CHECK_CIRCLE('\uf058'),
        SEARCH_DOLLAR('\uf688'),
        FACEBOOK_F('\uf39e'),
        SIGN('\uf4d9'),
        FONT_AWESOME('\uf2b4'),
        BOX_CHECK('\uf467'),
        CARET_DOWN('\uf0d7'),
        CHEVRON_LEFT('\uf053'),
        COMMENT_ALT_SLASH('\uf4a9'),
        GOFORE('\uf3a7'),
        CART_PLUS('\uf217'),
        PHONE_SLASH('\uf3dd'),
        REPLY('\uf3e5'),
        HOURGLASS_HALF('\uf252'),
        BADGE('\uf335'),
        BARCODE('\uf02a'),
        PODIUM_STAR('\uf758'),
        WATER('\uf773'),
        PAUSE('\uf04c'),
        BASEBALL('\uf432'),
        WINE_GLASS_ALT('\uf5ce'),
        GITHUB_SQUARE('\uf092'),
        GLASS_WHISKEY('\uf7a0'),
        BOX('\uf466'),
        DIAGNOSES('\uf470'),
        FILE_IMAGE('\uf1c5'),
        TRAFFIC_CONE('\uf636'),
        TASKS('\uf0ae'),
        HIKING('\uf6ec'),
        VECTOR_SQUARE('\uf5cb'),
        QUOTE_LEFT('\uf10d'),
        MOBILE_ALT('\uf3cd'),
        MARKER('\uf5a1'),
        MAP_MARKER_CHECK('\uf606'),
        TERMINAL('\uf120'),
        TIRE_FLAT('\uf632'),
        ANGRY('\uf556'),
        ARROW_TO_RIGHT('\uf340'),
        ECLIPSE_ALT('\uf74a'),
        MEMORY('\uf538'),
        WPEXPLORER('\uf2de'),
        ARROW_ALT_RIGHT('\uf356'),
        CHEVRON_DOUBLE_DOWN('\uf322'),
        CLUB('\uf327'),
        SHARE('\uf064'),
        ENVELOPE('\uf0e0'),
        APPER('\uf371'),
        LAYER_GROUP('\uf5fd'),
        SNAPCHAT_GHOST('\uf2ac'),
        CONCIERGE_BELL('\uf562'),
        FLY('\uf417'),
        CANADIAN_MAPLE_LEAF('\uf785'),
        I_CURSOR('\uf246'),
        CAR('\uf1b9'),
        CAT('\uf6be'),
        ARROW_ALT_SQUARE_RIGHT('\uf352'),
        D_AND_D_BEYOND('\uf6ca'),
        TACHOMETER_ALT_FASTEST('\uf626'),
        SCROLL_OLD('\uf70f'),
        VALUE_ABSOLUTE('\uf6a6'),
        HEART('\uf004'),
        STREAM('\uf550'),
        SCHLIX('\uf3ea'),
        ODNOKLASSNIKI_SQUARE('\uf264'),
        ARROW_SQUARE_RIGHT('\uf33b'),
        SMILE_BEAM('\uf5b8'),
        SPA('\uf5bb'),
        CHEVRON_CIRCLE_DOWN('\uf13a'),
        FOLDER_PLUS('\uf65e'),
        TICKET_ALT('\uf3ff'),
        BOOK_OPEN('\uf518'),
        SWORD('\uf71c'),
        ELEPHANT('\uf6da'),
        SQUARE_ROOT('\uf697'),
        MAP('\uf279'),
        COCKTAIL('\uf561'),
        CLONE('\uf24d'),
        RECTANGLE_PORTRAIT('\uf2fb'),
        TACHOMETER_AVERAGE('\uf629'),
        FILE_ARCHIVE('\uf1c6'),
        DOVE('\uf4ba'),
        MAP_MARKER_SMILE('\uf60d'),
        RAMP_LOADING('\uf4d4'),
        TABLET_RUGGED('\uf48f'),
        ADVERSAL('\uf36a'),
        TRUCK('\uf0d1'),
        CREDIT_CARD_BLANK('\uf389'),
        QUESTION_SQUARE('\uf2fd'),
        SUPERSCRIPT('\uf12b'),
        TTY('\uf1e4'),
        SHIELD('\uf132'),
        GLASSES_ALT('\uf5f5'),
        BRAIN('\uf5dc'),
        TABLETS('\uf490'),
        ICE_SKATE('\uf7ac'),
        EXCLAMATION_SQUARE('\uf321'),
        USB('\uf287'),
        STAYLINKED('\uf3f5'),
        WINDOW('\uf40e'),
        LEVEL_DOWN_ALT('\uf3be'),
        DEVIANTART('\uf1bd'),
        VOTE_NAY('\uf771'),
        ODNOKLASSNIKI('\uf263'),
        WEIXIN('\uf1d7'),
        SORT_ALPHA_UP('\uf15e'),
        FILE_CSV('\uf6dd'),
        CHESS_ROOK_ALT('\uf448'),
        FILE_USER('\uf65c'),
        SAFARI('\uf267'),
        THE_RED_YETI('\uf69d'),
        BLACK_TIE('\uf27e'),
        SLIDERS_H_SQUARE('\uf3f0'),
        OPERA('\uf26a'),
        ARROWS('\uf047'),
        FACEBOOK_SQUARE('\uf082'),
        ARROW_ALT_TO_LEFT('\uf34b'),
        CHEVRON_DOUBLE_LEFT('\uf323'),
        TURTLE('\uf726'),
        REDDIT_ALIEN('\uf281'),
        SQUARE('\uf0c8'),
        GRIN_SQUINT('\uf585'),
        CLOSED_CAPTIONING('\uf20a'),
        RECEIPT('\uf543'),
        STRIKETHROUGH('\uf0cc'),
        UNLOCK('\uf09c'),
        DICE_SIX('\uf526'),
        PILLS('\uf484'),
        SUNRISE('\uf766'),
        EXCLAMATION('\uf12a'),
        PERSON_BOOTH('\uf756'),
        CALENDAR_PLUS('\uf271'),
        LOCATION_ARROW('\uf124'),
        QURAN('\uf687'),
        MEDAPPS('\uf3c6'),
        GIT('\uf1d3'),
        REBEL('\uf1d0'),
        INHALER('\uf5f9'),
        FUNNEL_DOLLAR('\uf662'),
        SPACE_SHUTTLE('\uf197'),
        LANGUAGE('\uf1ab'),
        HEADPHONES('\uf025'),
        CC_MASTERCARD('\uf1f1'),
        BUYSELLADS('\uf20d'),
        RECTANGLE_WIDE('\uf2fc'),
        TREE_LARGE('\uf7dd'),
        CLIPBOARD_PRESCRIPTION('\uf5e8'),
        LAMBDA('\uf66e'),
        BLIND('\uf29d'),
        REDHAT('\uf7bc'),
        LEAF_MAPLE('\uf6f6'),
        SKI_LIFT('\uf7c8'),
        REPEAT_ALT('\uf364'),
        SHOPPING_BASKET('\uf291'),
        RING('\uf70b'),
        ANGULAR('\uf420'),
        SHEEP('\uf711'),
        CITY('\uf64f'),
        TEXT_WIDTH('\uf035'),
        RSS_SQUARE('\uf143'),
        SUN_CLOUD('\uf763'),
        BOOKMARK('\uf02e'),
        LANDMARK_ALT('\uf752'),
        SORT_UP('\uf0de'),
        BITY('\uf37a'),
        ELEMENTOR('\uf430'),
        ASYMMETRIK('\uf372'),
        SHARE_ALL('\uf367'),
        EARLYBIRDS('\uf39a'),
        FORWARD('\uf04e'),
        SHARE_ALT('\uf1e0'),
        GRUNT('\uf3ad'),
        SCALPEL('\uf61d'),
        PEN_FANCY('\uf5ac'),
        BIOHAZARD('\uf780'),
        MAP_MARKER_ALT('\uf3c5'),
        TRACTOR('\uf722'),
        BROWSER('\uf37e'),
        ID_BADGE('\uf2c1'),
        FILE_CERTIFICATE('\uf5f3'),
        ANGEL('\uf779'),
        VIDEO_PLUS('\uf4e1'),
        RULER_HORIZONTAL('\uf547'),
        PAINT_ROLLER('\uf5aa'),
        HAT_WIZARD('\uf6e8'),
        PAGE4('\uf3d7'),
        CALENDAR('\uf133'),
        CREATIVE_COMMONS_REMIX('\uf4ee'),
        MAP_MARKER_SLASH('\uf60c'),
        THERMOMETER('\uf491'),
        HORNBILL('\uf592'),
        ENGINE_WARNING('\uf5f2'),
        HANDS_HEART('\uf4c3'),
        WEIBO('\uf18a'),
        TORNADO('\uf76f'),
        SUN_HAZE('\uf765'),
        SERVICESTACK('\uf3ec'),
        COMPRESS('\uf066'),
        REPEAT_1_ALT('\uf366'),
        KEYBASE('\uf4f5'),
        BLENDER_PHONE('\uf6b6'),
        ANGLE_RIGHT('\uf105'),
        ARROW_ALT_TO_BOTTOM('\uf34a'),
        MEH_BLANK('\uf5a4'),
        AUTOPREFIXER('\uf41c'),
        CLIPBOARD_CHECK('\uf46c'),
        CALENDAR_EXCLAMATION('\uf334'),
        TOOTH('\uf5c9'),
        FILE_TIMES('\uf317'),
        SUNSET('\uf767'),
        JS_SQUARE('\uf3b9'),
        AXE('\uf6b2'),
        SIGMA('\uf68b'),
        GRIN_TONGUE_SQUINT('\uf58a'),
        WALKING('\uf554'),
        XING_SQUARE('\uf169'),
        TRUCK_CONTAINER('\uf4dc'),
        CLOUD_SHOWERS('\uf73f'),
        ALICORN('\uf6b0'),
        SHIPPING_FAST('\uf48b'),
        ROCKETCHAT('\uf3e8'),
        REDDIT_SQUARE('\uf1a2'),
        CARET_LEFT('\uf0d9'),
        BOOTH_CURTAIN('\uf734'),
        DICE('\uf522'),
        RUBLE_SIGN('\uf158'),
        GULP('\uf3ae'),
        RULER_VERTICAL('\uf548'),
        LIGHTBULB_SLASH('\uf673'),
        HAND_POINTER('\uf25a'),
        SKIING_NORDIC('\uf7ca'),
        PUMPKIN('\uf707'),
        HIPPO('\uf6ed'),
        KIWI_BIRD('\uf535'),
        COMMENT_SMILE('\uf4b4'),
        ADDRESS_BOOK('\uf2b9'),
        GEM('\uf3a5'),
        STAR_AND_CRESCENT('\uf699'),
        KORVUE('\uf42f'),
        CAR_BUMP('\uf5e0'),
        LYFT('\uf3c3'),
        MAP_PIN('\uf276'),
        CONTAO('\uf26d'),
        ALIGN_CENTER('\uf037'),
        FROSTY_HEAD('\uf79b'),
        PARKING('\uf540'),
        MAP_SIGNS('\uf277'),
        GRIP_LINES('\uf7a4'),
        PALETTE('\uf53f'),
        PERSON_DOLLY('\uf4d0'),
        VIADEO_SQUARE('\uf2aa'),
        ORNAMENT('\uf7b8'),
        BOX_BALLOT('\uf735'),
        AMILIA('\uf36d'),
        TIMES_CIRCLE('\uf057'),
        JS('\uf3b8'),
        GUITAR('\uf7a6'),
        INVISION('\uf7b0'),
        UTENSIL_FORK('\uf2e3'),
        BELL_SCHOOL_SLASH('\uf5d6'),
        FIRST_AID('\uf479'),
        UMBRELLA_BEACH('\uf5ca'),
        RESTROOM('\uf7bd'),
        UNLOCK_ALT('\uf13e'),
        USER_SECRET('\uf21b'),
        DOLLY_FLATBED_ALT('\uf475'),
        FILE_VIDEO('\uf1c8'),
        BIRTHDAY_CAKE('\uf1fd'),
        GOODREADS_G('\uf3a9'),
        CARET_CIRCLE_DOWN('\uf32d'),
        SUN_DUST('\uf764'),
        CALENDAR_WEEK('\uf784'),
        USER_GRADUATE('\uf501'),
        POO('\uf2fe'),
        POLL('\uf681'),
        SLEDDING('\uf7cb'),
        CAR_ALT('\uf5de'),
        TURKEY('\uf725'),
        THUMBS_UP('\uf164'),
        PALLET_ALT('\uf483'),
        BANDCAMP('\uf2d5'),
        VIALS('\uf493'),
        MARS('\uf222'),
        HELICOPTER('\uf533'),
        HAND_HOLDING('\uf4bd'),
        HOURGLASS_START('\uf251'),
        EYE_EVIL('\uf6db'),
        HASHTAG('\uf292'),
        LINKEDIN_IN('\uf0e1'),
        CREATIVE_COMMONS_ND('\uf4eb'),
        CREATIVE_COMMONS_NC('\uf4e8'),
        WEEBLY('\uf5cc'),
        CLIPBOARD_LIST_CHECK('\uf737'),
        SEEDLING('\uf4d8'),
        HAYKAL('\uf666'),
        OIL_TEMP('\uf614'),
        NEWSPAPER('\uf1ea'),
        ARROW_ALT_FROM_RIGHT('\uf348'),
        HOSPITAL_ALT('\uf47d'),
        USER_SLASH('\uf506'),
        SUSE('\uf7d6'),
        HOUSE_FLOOD('\uf74f'),
        SHIP('\uf21a'),
        DICE_FIVE('\uf523'),
        SYNAGOGUE('\uf69b'),
        OPTIN_MONSTER('\uf23c'),
        PAW('\uf1b0'),
        VOTE_YEA('\uf772'),
        HAND_HOLDING_HEART('\uf4be'),
        ARROW_SQUARE_DOWN('\uf339'),
        CREATIVE_COMMONS_NC_EU('\uf4e9'),
        GLOBE_STAND('\uf5f6'),
        HAND_HOLDING_WATER('\uf4c1'),
        SLIDESHARE('\uf1e7'),
        AMERICAN_SIGN_LANGUAGE_INTERPRETING('\uf2a3'),
        RUNNING('\uf70c'),
        PEN_NIB('\uf5ad'),
        TACHOMETER_FAST('\uf62a'),
        SNOW_BLOWING('\uf761'),
        CLOUD_SNOW('\uf742'),
        LAPTOP_CODE('\uf5fc'),
        STEAM_SYMBOL('\uf3f6'),
        TACHOMETER_SLOWEST('\uf62d'),
        ARROW_ALT_TO_TOP('\uf34d'),
        CHART_BAR('\uf080'),
        TAXI('\uf1ba'),
        VIMEO_V('\uf27d'),
        NEOS('\uf612'),
        BOX_UP('\uf49f'),
        LIGHTBULB_DOLLAR('\uf670'),
        SEARCHENGIN('\uf3eb'),
        MANDOLIN('\uf6f9'),
        ARROW_CIRCLE_UP('\uf0aa'),
        MOBILE_ANDROID('\uf3ce'),
        SKI_JUMP('\uf7c7'),
        BASKETBALL_BALL('\uf434'),
        DESKTOP('\uf108'),
        PALLET('\uf482'),
        TOGGLE_ON('\uf205'),
        STOPWATCH('\uf2f2'),
        ARROW_ALT_CIRCLE_LEFT('\uf359'),
        EXTERNAL_LINK_ALT('\uf35d'),
        FROWN('\uf119'),
        TEAMSPEAK('\uf4f9'),
        RULER('\uf545'),
        CANDY_CORN('\uf6bd'),
        WAREHOUSE('\uf494'),
        GRIN('\uf580'),
        LEANPUB('\uf212'),
        CLOUD_UPLOAD('\uf0ee'),
        WIND_WARNING('\uf776'),
        SERVER('\uf233'),
        BARCODE_SCAN('\uf465'),
        BLACKBERRY('\uf37b'),
        BATTERY_EMPTY('\uf244'),
        SPRAY_CAN('\uf5bd'),
        HAND_HOLDING_MAGIC('\uf6e5'),
        GRIP_LINES_VERTICAL('\uf7a5'),
        WINDOW_MINIMIZE('\uf2d1'),
        MARS_DOUBLE('\uf227'),
        PAUSE_CIRCLE('\uf28b'),
        LASTFM_SQUARE('\uf203'),
        COMMENT_ALT('\uf27a'),
        BATTERY_BOLT('\uf376'),
        SEARCH_MINUS('\uf010'),
        UTENSIL_KNIFE('\uf2e4'),
        XING('\uf168'),
        MOON('\uf186'),
        CANNABIS('\uf55f'),
        MOON_STARS('\uf755'),
        CHESS_PAWN_ALT('\uf444'),
        KEYCDN('\uf3ba'),
        CHART_PIE('\uf200'),
        WHEAT('\uf72d'),
        THINK_PEAKS('\uf731'),
        VIMEO_SQUARE('\uf194'),
        SIGNAL_ALT_SLASH('\uf694'),
        ARROW_CIRCLE_RIGHT('\uf0a9'),
        OM('\uf679'),
        MAP_MARKER_ALT_SLASH('\uf605'),
        LUGGAGE_CART('\uf59d'),
        INDUSTRY('\uf275'),
        SWIMMER('\uf5c4'),
        LAYER_PLUS('\uf5ff'),
        ETHEREUM('\uf42e'),
        COMPRESS_ARROWS_ALT('\uf78c'),
        LIGHTBULB_EXCLAMATION('\uf671'),
        ROAD('\uf018'),
        DAGGER('\uf6cb'),
        CURLING('\uf44a'),
        PHABRICATOR('\uf3db'),
        IMAGE('\uf03e'),
        ANGLE_DOUBLE_UP('\uf102'),
        CLOUD_MOON_RAIN('\uf73c'),
        DOOR_OPEN('\uf52b'),
        GRIN_TONGUE_WINK('\uf58b'),
        INBOX('\uf01c'),
        SYRINGE('\uf48e'),
        RACQUET('\uf45a'),
        ARROW_ALT_DOWN('\uf354'),
        WEIGHT('\uf496'),
        TABLE_TENNIS('\uf45d'),
        ITALIC('\uf033'),
        CHEVRON_SQUARE_DOWN('\uf329'),
        CODE_COMMIT('\uf386'),
        FILE_SIGNATURE('\uf573'),
        NAPSTER('\uf3d2'),
        SIGNAL_3('\uf68e'),
        SIGNAL_2('\uf68d'),
        SIGNAL_1('\uf68c'),
        TACHOMETER_ALT('\uf3fd'),
        SIGNAL_4('\uf68f'),
        ANGLE_DOWN('\uf107'),
        HAND_ROCK('\uf255'),
        PODCAST('\uf2ce'),
        POLL_PEOPLE('\uf759'),
        CANDLE_HOLDER('\uf6bc'),
        EMBER('\uf423'),
        FREE_CODE_CAMP('\uf2c5'),
        CAR_GARAGE('\uf5e2'),
        FILL_DRIP('\uf576'),
        COMMENT_SLASH('\uf4b3'),
        SUITCASE('\uf0f2'),
        CARET_CIRCLE_UP('\uf331'),
        HOOD_CLOAK('\uf6ef'),
        TOILET('\uf7d8'),
        ENVELOPE_OPEN_TEXT('\uf658'),
        YOUTUBE('\uf167'),
        HEART_BROKEN('\uf7a9'),
        DEER('\uf78e'),
        LOCK_ALT('\uf30d'),
        ELLIPSIS_H('\uf141'),
        TH_LARGE('\uf009'),
        AT('\uf1fa'),
        FILE('\uf15b'),
        TENGE('\uf7d7'),
        FILM('\uf008'),
        FILL('\uf575'),
        SWORDS('\uf71d'),
        CAR_TILT('\uf5e5'),
        GOOGLE_WALLET('\uf1ee'),
        PHONE_PLUS('\uf4d2'),
        CLOUDVERSIFY('\uf385'),
        TRASH('\uf1f8'),
        OPENID('\uf19b'),
        POOP('\uf619'),
        GIFTS('\uf79c'),
        PODIUM('\uf680'),
        DROPBOX('\uf16b'),
        CREATIVE_COMMONS_NC_JP('\uf4ea'),
        COMMENT_ALT_LINES('\uf4a6'),
        BUILDING('\uf1ad'),
        NEUTER('\uf22c'),
        WIFI('\uf1eb'),
        MASK('\uf6fa'),
        HANDS_USD('\uf4c5'),
        VUEJS('\uf41f'),
        VENUS_DOUBLE('\uf226'),
        HAND_SPOCK('\uf259'),
        BATTERY_SLASH('\uf377'),
        SKELETON('\uf620'),
        HANDS('\uf4c2'),
        WREATH('\uf7e2'),
        CROSSHAIRS('\uf05b'),
        BROADCAST_TOWER('\uf519'),
        ARROW_ALT_CIRCLE_RIGHT('\uf35a'),
        SMOKING('\uf48d'),
        SCANNER_TOUCHSCREEN('\uf48a'),
        CHESS_BISHOP('\uf43a'),
        TV('\uf26c'),
        COMMENT_ALT_PLUS('\uf4a8'),
        TH('\uf00a'),
        SMILE('\uf118'),
        TELEGRAM_PLANE('\uf3fe'),
        PRESENTATION('\uf685'),
        FAX('\uf1ac'),
        SCREWDRIVER('\uf54a'),
        TORII_GATE('\uf6a1'),
        PRINT('\uf02f'),
        TICKET('\uf145'),
        PLUS_HEXAGON('\uf300'),
        BABY_CARRIAGE('\uf77d'),
        SORT_NUMERIC_UP('\uf163'),
        LIST('\uf03a'),
        ADJUST('\uf042'),
        FIRE_SMOKE('\uf74b'),
        ARROW_DOWN('\uf063'),
        INSTAGRAM('\uf16d'),
        AIR_FRESHENER('\uf5d0'),
        SYNC('\uf021'),
        EXTERNAL_LINK('\uf08e'),
        PAPER_PLANE('\uf1d8'),
        LONG_ARROW_LEFT('\uf177'),
        VOLLEYBALL_BALL('\uf45f'),
        RIBBON('\uf4d6'),
        HAND_LIZARD('\uf258'),
        CLOCK('\uf017'),
        SUN('\uf185'),
        JEDI('\uf669'),
        FILE_POWERPOINT('\uf1c4'),
        MICROCHIP('\uf2db'),
        INFO_CIRCLE('\uf05a'),
        TAGS('\uf02c'),
        FILE_ALT('\uf15c'),
        DIRECTIONS('\uf5eb'),
        TOILET_PAPER_ALT('\uf71f'),
        ANGRYCREATIVE('\uf36e'),
        ARROW_ALT_FROM_TOP('\uf349'),
        AXE_BATTLE('\uf6b3'),
        SEARCH('\uf002'),
        BIBLE('\uf647'),
        CHESS_QUEEN_ALT('\uf446'),
        FLASK('\uf0c3'),
        FAST_BACKWARD('\uf049'),
        GREATER_THAN_EQUAL('\uf532'),
        SLIDERS_H('\uf1de'),
        SLIDERS_V('\uf3f1'),
        TRELLO('\uf181'),
        EYE('\uf06e'),
        HEAD_SIDE('\uf6e9'),
        HRYVNIA('\uf6f2'),
        TEMPERATURE_HIGH('\uf769'),
        LOCK_OPEN_ALT('\uf3c2'),
        MEGAPHONE('\uf675'),
        CHEVRON_DOUBLE_UP('\uf325'),
        DIAMOND('\uf219'),
        WINDOW_RESTORE('\uf2d2'),
        FLAG('\uf024'),
        FILE_INVOICE_DOLLAR('\uf571'),
        DICE_D8('\uf6d2'),
        CHEVRON_DOUBLE_RIGHT('\uf324'),
        DICE_D4('\uf6d0'),
        DICE_D6('\uf6d1'),
        OUTDENT('\uf03b'),
        JACK_O_LANTERN('\uf30e'),
        DEV('\uf6cc'),
        PARAGRAPH('\uf1dd'),
        SPIDER_BLACK_WIDOW('\uf718'),
        BARCODE_ALT('\uf463'),
        MALE('\uf183'),
        HISTORY('\uf1da'),
        COMMENT_ALT_EDIT('\uf4a4'),
        USER_TIE('\uf508'),
        SEARCH_PLUS('\uf00e'),
        MOUSE_POINTER('\uf245'),
        WALLET('\uf555'),
        PUSHED('\uf3e1'),
        MAGENTO('\uf3c4'),
        ALIGN_JUSTIFY('\uf039'),
        PEN_ALT('\uf305'),
        ARCHIVE('\uf187'),
        SIGNAL_ALT_1('\uf691'),
        SIGNAL_ALT_3('\uf693'),
        SIGNAL_ALT_2('\uf692'),
        SMILE_PLUS('\uf5b9'),
        GOODREADS('\uf3a8'),
        CREATIVE_COMMONS_PD('\uf4ec'),
        THERMOMETER_FULL('\uf2c7'),
        PLANE('\uf072'),
        HEAD_VR('\uf6ea'),
        SNOWBOARDING('\uf7ce'),
        HOOLI('\uf427'),
        UNLINK('\uf127'),
        GITHUB('\uf09b'),
        CODE_MERGE('\uf387'),
        VOLUME_UP('\uf028'),
        YOAST('\uf2b1'),
        DRAGON('\uf6d5'),
        MICROPHONE_SLASH('\uf131'),
        USER_PLUS('\uf234'),
        WRENCH('\uf0ad'),
        JOGET('\uf3b7'),
        NARWHAL('\uf6fe'),
        BALL_PILE('\uf77e'),
        BURN('\uf46a'),
        USERS_CLASS('\uf63d'),
        DICE_ONE('\uf525'),
        YANDEX('\uf413'),
        CHART_PIE_ALT('\uf64e'),
        CHECK_DOUBLE('\uf560'),
        STUDIOVINARI('\uf3f8'),
        EXPAND_ARROWS('\uf31d'),
        FACEBOOK_MESSENGER('\uf39f'),
        GLIDE('\uf2a5'),
        BOWLING_PINS('\uf437'),
        PRAY('\uf683'),
        TIMES_HEXAGON('\uf2ee'),
        DOLLY('\uf472'),
        TROPHY_ALT('\uf2eb'),
        GRIN_TEARS('\uf588'),
        SORT_AMOUNT_UP('\uf161'),
        TABLET_ALT('\uf3fa'),
        GRIN_BEAM_SWEAT('\uf583'),
        INTERNET_EXPLORER('\uf26b'),
        PEGASUS('\uf703'),
        MAGIC('\uf0d0'),
        ABACUS('\uf640'),
        CHARGING_STATION('\uf5e7'),
        LEVEL_DOWN('\uf149'),
        CREATIVE_COMMONS_BY('\uf4e7'),
        GITLAB('\uf296'),
        VOLUME_OFF('\uf026'),
        CLOUDS_SUN('\uf746'),
        SAD_TEAR('\uf5b4'),
        GOLF_CLUB('\uf451'),
        KEY_SKELETON('\uf6f3'),
        MUG_MARSHMALLOWS('\uf7b7'),
        BOX_FULL('\uf49c'),
        COMMENTS_ALT_DOLLAR('\uf652'),
        ELLIPSIS_V('\uf142'),
        FONT_AWESOME_FLAG('\uf425'),
        CLOUD_HAIL_MIXED('\uf73a'),
        FISH('\uf578'),
        CAMPGROUND('\uf6bb'),
        CARET_SQUARE_UP('\uf151'),
        SCRIBD('\uf28a'),
        ARROW_ALT_LEFT('\uf355'),
        ASSISTIVE_LISTENING_SYSTEMS('\uf2a2'),
        D_AND_D('\uf38d'),
        HELMET_BATTLE('\uf6eb'),
        BUROMOBELEXPERTE('\uf37f'),
        ANKH('\uf644'),
        BATTERY_QUARTER('\uf243'),
        QUINSCAPE('\uf459'),
        HAND_PEACE('\uf25b'),
        FILE_PDF('\uf1c1'),
        SUBWAY('\uf239'),
        MERCURY('\uf223'),
        TACHOMETER_SLOW('\uf62c'),
        USER_ASTRONAUT('\uf4fb'),
        FIGMA('\uf799'),
        CC_DINERS_CLUB('\uf24c'),
        SORT_AMOUNT_DOWN('\uf160'),
        COOKIE('\uf563'),
        ACORN('\uf6ae'),
        MONEY_BILL('\uf0d6'),
        RECTANGLE_LANDSCAPE('\uf2fa'),
        CODIEPIE('\uf284'),
        ARROW_ALT_UP('\uf357'),
        DRUPAL('\uf1a9'),
        RED_RIVER('\uf3e3'),
        CAR_SIDE('\uf5e4'),
        DIASPORA('\uf791'),
        HEARTBEAT('\uf21e'),
        TENNIS_BALL('\uf45e'),
        LAUGH_WINK('\uf59c'),
        ARROWS_V('\uf07d'),
        TEXT_HEIGHT('\uf034'),
        VOLUME_MUTE('\uf6a9'),
        GRIN_TONGUE('\uf589'),
        QRCODE('\uf029'),
        ARROWS_H('\uf07e'),
        APPLE_CRATE('\uf6b1'),
        HORSE('\uf6f0'),
        HIRE_A_HELPER('\uf3b0'),
        BOOK_ALT('\uf5d9'),
        CHESS_CLOCK_ALT('\uf43e'),
        WPBEGINNER('\uf297'),
        STAR_EXCLAMATION('\uf2f3'),
        STORE('\uf54e'),
        COMMENT_DOTS('\uf4ad'),
        SMILE_WINK('\uf4da'),
        HOTEL('\uf594'),
        ETSY('\uf2d7'),
        DUMPSTER_FIRE('\uf794'),
        CLOUD_SUN_RAIN('\uf743'),
        GLOBE_ASIA('\uf57e'),
        TRUCK_PICKUP('\uf63c'),
        VIAL('\uf492'),
        BALANCE_SCALE_LEFT('\uf515'),
        STAR_CHRISTMAS('\uf7d4'),
        SHEKEL_SIGN('\uf20b'),
        CREATIVE_COMMONS_SA('\uf4ef'),
        TENCENT_WEIBO('\uf1d5'),
        FANTASY_FLIGHT_GAMES('\uf6dc'),
        BELL_SLASH('\uf1f6'),
        LUCHADOR('\uf455'),
        MOUNTAIN('\uf6fc'),
        GLASS_WHISKEY_ROCKS('\uf7a1'),
        AVIANEX('\uf374'),
        PUZZLE_PIECE('\uf12e'),
        COMMENT_ALT_DOLLAR('\uf650'),
        FOLDERS('\uf660'),
        PLAY('\uf04b'),
        RASPBERRY_PI('\uf7bb'),
        HEADSET('\uf590'),
        SELLSY('\uf213'),
        CC_JCB('\uf24b'),
        REACT('\uf41b'),
        VNV('\uf40b'),
        MACE('\uf6f8'),
        SKULL_CROSSBONES('\uf714'),
        EURO_SIGN('\uf153'),
        CHESS_KING('\uf43f'),
        MOBILE('\uf10b'),
        FUTBOL('\uf1e3'),
        CHESS_KNIGHT_ALT('\uf442'),
        BULLSEYE('\uf140'),
        PENNANT('\uf456'),
        YOUTUBE_SQUARE('\uf431'),
        MICROSOFT('\uf3ca'),
        HIPS('\uf452'),
        LOVESEAT('\uf4cc'),
        TRUCK_MONSTER('\uf63b'),
        ARROWS_ALT_H('\uf337'),
        FIRE_EXTINGUISHER('\uf134'),
        CLOUD_SLEET('\uf741'),
        ARROWS_ALT_V('\uf338'),
        EYE_DROPPER('\uf1fb'),
        FONT('\uf031'),
        DESKTOP_ALT('\uf390'),
        BLENDER('\uf517'),
        TYPO3('\uf42b'),
        USER_EDIT('\uf4ff'),
        CLAW_MARKS('\uf6c2'),
        COPYRIGHT('\uf1f9'),
        DISCORD('\uf392'),
        GOOGLE_PLAY('\uf3ab'),
        STOP_CIRCLE('\uf28d'),
        CIRCLE('\uf111'),
        YIN_YANG('\uf6ad'),
        COLUMNS('\uf0db'),
        HAND_HEART('\uf4bc'),
        GLASS_CHEERS('\uf79f'),
        FLAG_ALT('\uf74c'),
        GRIN_WINK('\uf58c'),
        TREES('\uf724'),
        WHISTLE('\uf460'),
        COMPASS('\uf14e'),
        CHIMNEY('\uf78b'),
        AUDIO_DESCRIPTION('\uf29e'),
        GLOBE_SNOW('\uf7a3'),
        DRAFT2DIGITAL('\uf396'),
        HAND_HOLDING_SEEDLING('\uf4bf'),
        WAND_MAGIC('\uf72b'),
        HOTJAR('\uf3b1'),
        BARS('\uf0c9'),
        ARROW_ALT_CIRCLE_DOWN('\uf358'),
        VINE('\uf1ca'),
        MONEY_BILL_ALT('\uf3d1'),
        CHALKBOARD_TEACHER('\uf51c'),
        PORTRAIT('\uf3e0'),
        RETWEET('\uf079'),
        EXCHANGE('\uf0ec'),
        UNDERLINE('\uf0cd'),
        README('\uf4d5'),
        SUBSCRIPT('\uf12c'),
        DONATE('\uf4b9'),
        GLASS_MARTINI_ALT('\uf57b'),
        SLIDERS_V_SQUARE('\uf3f2'),
        CUBES('\uf1b3'),
        PRESCRIPTION('\uf5b1'),
        PENCIL_RULER('\uf5ae'),
        ARCHWAY('\uf557'),
        PRESCRIPTION_BOTTLE('\uf485'),
        CHAIR_OFFICE('\uf6c1'),
        MARKDOWN('\uf60f'),
        BELL('\uf0f3'),
        FORKLIFT('\uf47a'),
        CALENDAR_DAY('\uf783'),
        TINT_SLASH('\uf5c7'),
        PLANE_DEPARTURE('\uf5b0'),
        LINUX('\uf17c'),
        SUPPLE('\uf3f9'),
        ARROW_TO_TOP('\uf341'),
        BLOG('\uf781'),
        HANDS_HELPING('\uf4c4'),
        JAVA('\uf4e4'),
        STAMP('\uf5bf'),
        ALIGN_RIGHT('\uf038'),
        NODE_JS('\uf3d3'),
        CODEPEN('\uf1cb'),
        PI('\uf67e'),
        FOLDER_TIMES('\uf65f'),
        GITTER('\uf426'),
        GRIN_ALT('\uf581'),
        SORT_NUMERIC_DOWN('\uf162'),
        SQUIRREL('\uf71a'),
        FIRE('\uf06d'),
        ATLASSIAN('\uf77b'),
        CAR_MECHANIC('\uf5e3'),
        THEMEISLE('\uf2b2'),
        COMMENT_ALT_MINUS('\uf4a7'),
        TRUCK_LOADING('\uf4de'),
        EXPAND_ARROWS_ALT('\uf31e'),
        CARET_SQUARE_DOWN('\uf150'),
        RAVELRY('\uf2d9'),
        COMMENT_PLUS('\uf4b2'),
        OBJECT_GROUP('\uf247'),
        STEERING_WHEEL('\uf622'),
        CALCULATOR('\uf1ec'),
        SKYPE('\uf17e'),
        FILE_MEDICAL('\uf477'),
        VAADIN('\uf408'),
        DASHCUBE('\uf210'),
        FEDORA('\uf798'),
        BADGE_DOLLAR('\uf645'),
        DISCOURSE('\uf393'),
        CLOUD_DRIZZLE('\uf738'),
        STACK_EXCHANGE('\uf18d'),
        COMMENT_TIMES('\uf4b5'),
        BOXES_ALT('\uf4a1'),
        TIMES_SQUARE('\uf2d3'),
        STRIPE('\uf429'),
        IOXHOST('\uf208'),
        CALENDAR_MINUS('\uf272'),
        EDGE('\uf282'),
        SHIPPING_TIMED('\uf48c'),
        LANDMARK('\uf66f'),
        DOCKER('\uf395'),
        GINGERBREAD_MAN('\uf79d'),
        WHMCS('\uf40d'),
        TELEGRAM('\uf2c6'),
        CC_APPLE_PAY('\uf416'),
        FROWN_OPEN('\uf57a'),
        COUCH('\uf4b8'),
        TACHOMETER_ALT_SLOWEST('\uf628'),
        CUT('\uf0c4'),
        GAMEPAD('\uf11b'),
        TABLET('\uf10a'),
        MINUS_SQUARE('\uf146'),
        LOCATION('\uf601'),
        COMMENT_DOLLAR('\uf651'),
        TRASH_ALT('\uf2ed'),
        GITHUB_ALT('\uf113'),
        CLOUD_SUN('\uf6c4'),
        CHESS_BISHOP_ALT('\uf43b'),
        STACK_OVERFLOW('\uf16c'),
        THERMOMETER_EMPTY('\uf2cb'),
        THUNDERSTORM_MOON('\uf76d'),
        HAND_RECEIVING('\uf47c'),
        EXCLAMATION_TRIANGLE('\uf071'),
        MOON_CLOUD('\uf754'),
        CABINET_FILING('\uf64b'),
        BOOK_SPELLS('\uf6b8'),
        SHAPES('\uf61f'),
        VIADEO('\uf2a9'),
        SLEIGH('\uf7cc'),
        CARET_CIRCLE_RIGHT('\uf330'),
        SITEMAP('\uf0e8'),
        EXTERNAL_LINK_SQUARE('\uf14c'),
        GOOGLE('\uf1a0'),
        BATTERY_FULL('\uf240'),
        WATCH_FITNESS('\uf63e'),
        SIMPLYBUILT('\uf215'),
        LIPS('\uf600'),
        SCARF('\uf7c1'),
        TOOLS('\uf7d9'),
        BRIEFCASE_MEDICAL('\uf469'),
        PEN('\uf304'),
        SLASH('\uf715'),
        HOT_TUB('\uf593'),
        SUITCASE_ROLLING('\uf5c1'),
        GLOBE_AFRICA('\uf57c'),
        CHEVRON_CIRCLE_UP('\uf139'),
        OPENCART('\uf23d'),
        THERMOMETER_QUARTER('\uf2ca'),
        CLOUDS_MOON('\uf745'),
        UNTAPPD('\uf405'),
        USER_CHART('\uf6a3'),
        CONFLUENCE('\uf78d'),
        BRAILLE('\uf2a1'),
        CLOUD_DOWNLOAD_ALT('\uf381'),
        LIST_UL('\uf0ca'),
        SMOKING_BAN('\uf54d'),
        MARS_STROKE('\uf229'),
        LIGHTS_HOLIDAY('\uf7b2'),
        VOLUME_DOWN('\uf027'),
        INTEGRAL('\uf667'),
        RABBIT_FAST('\uf709'),
        PATREON('\uf3d9'),
        USSUNNAH('\uf407'),
        GAVEL('\uf0e3'),
        CANDY_CANE('\uf786'),
        JSFIDDLE('\uf1cc'),
        CARET_SQUARE_LEFT('\uf191'),
        R_PROJECT('\uf4f7'),
        THERMOMETER_HALF('\uf2c9'),
        QUESTION('\uf128'),
        MUG_HOT('\uf7b6'),
        TWITTER('\uf099'),
        GOOGLE_PLUS_G('\uf0d5'),
        MOUNTAINS('\uf6fd'),
        HOUSE_DAMAGE('\uf6f1'),
        CHEVRON_RIGHT('\uf054'),
        ENVELOPE_OPEN_DOLLAR('\uf657'),
        REGISTERED('\uf25d'),
        TALLY('\uf69c'),
        WINDOW_CLOSE('\uf410'),
        NS8('\uf3d5'),
        LINK('\uf0c1'),
        ATOM('\uf5d2'),
        LINE('\uf3c0'),
        INFO('\uf129'),
        SKULL('\uf54c'),
        ARROW_FROM_TOP('\uf345'),
        KNIFE_KITCHEN('\uf6f5'),
        WINDOWS('\uf17a'),
        HOSPITAL_SYMBOL('\uf47e'),
        X_RAY('\uf497'),
        UBER('\uf402'),
        HOME_HEART('\uf4c9'),
        WINDOW_ALT('\uf40f'),
        IMAGES('\uf302'),
        RAINBOW('\uf75b'),
        LEMON('\uf094'),
        SCANNER_KEYBOARD('\uf489'),
        GLOBE_AMERICAS('\uf57d'),
        ACQUISITIONS_INCORPORATED('\uf6af'),
        PEACE('\uf67c'),
        SHIELD_CHECK('\uf2f7'),
        THERMOMETER_THREE_QUARTERS('\uf2c8'),
        COMPRESS_WIDE('\uf326'),
        UTENSIL_SPOON('\uf2e5'),
        LIRA_SIGN('\uf195'),
        COOKIE_BITE('\uf564'),
        USERS('\uf0c0'),
        DRUMSTICK_BITE('\uf6d7'),
        CART_ARROW_DOWN('\uf218'),
        GALACTIC_SENATE('\uf50d'),
        LEAF('\uf06c'),
        CUTTLEFISH('\uf38c'),
        STORE_ALT('\uf54f'),
        BOOK_HEART('\uf499'),
        HEART_RATE('\uf5f8'),
        RESOLVING('\uf3e7'),
        LONG_ARROW_ALT_DOWN('\uf309'),
        CC_DISCOVER('\uf1f2'),
        SAD_CRY('\uf5b3'),
        FONTICONS_FI('\uf3a2'),
        FILE_EXCEL('\uf1c3'),
        STEP_FORWARD('\uf051'),
        APPLE_PAY('\uf415'),
        SCROLL('\uf70e'),
        ARROW_TO_LEFT('\uf33e'),
        ALIPAY('\uf642'),
        CODE('\uf121'),
        RABBIT('\uf708'),
        GAS_PUMP_SLASH('\uf5f4'),
        DREIDEL('\uf792'),
        SQUARESPACE('\uf5be'),
        LOCATION_SLASH('\uf603'),
        GG('\uf260'),
        WPFORMS('\uf298'),
        GOOGLE_DRIVE('\uf3aa'),
        SNOWMOBILE('\uf7d1'),
        DUMBBELL('\uf44b'),
        LAYER_MINUS('\uf5fe'),
        MOSQUE('\uf678'),
        FILE_PRESCRIPTION('\uf572'),
        CAMPFIRE('\uf6ba'),
        ATLAS('\uf558'),
        DO_NOT_ENTER('\uf5ec'),
        LEVEL_UP('\uf148'),
        QUORA('\uf2c4'),
        GIFT_CARD('\uf663'),
        FACEBOOK('\uf09a'),
        FLASK_POTION('\uf6e1'),
        CLIPBOARD_LIST('\uf46d'),
        GRIN_STARS('\uf587'),
        GLIDE_G('\uf2a6'),
        VIHARA('\uf6a7'),
        LONG_ARROW_ALT_LEFT('\uf30a'),
        TRAFFIC_LIGHT_SLOW('\uf639'),
        CROW('\uf520'),
        CROP('\uf125'),
        ARROW_CIRCLE_DOWN('\uf0ab'),
        VIDEO('\uf03d'),
        DOWNLOAD('\uf019'),
        CHESS_KING_ALT('\uf440'),
        HAMSA('\uf665'),
        CLIPBOARD('\uf328'),
        SHOE_PRINTS('\uf54b'),
        LONG_ARROW_ALT_UP('\uf30c'),
        CHESS_KNIGHT('\uf441'),
        NIMBLR('\uf5a8'),
        DRAW_POLYGON('\uf5ee'),
        DRAW_SQUARE('\uf5ef'),
        SCYTHE('\uf710'),
        THUMBS_DOWN('\uf165'),
        UBUNTU('\uf7df'),
        UIKIT('\uf403'),
        MIXCLOUD('\uf289'),
        TREASURE_CHEST('\uf723'),
        PINTEREST_SQUARE('\uf0d3'),
        HEXAGON('\uf312'),
        COMMENT_ALT_DOTS('\uf4a3'),
        SHOVEL('\uf713'),
        FIREFOX('\uf269'),
        APPLE('\uf179'),
        DYALOG('\uf399'),
        USER_SHIELD('\uf505'),
        DUCK('\uf6d8'),
        DRIBBBLE('\uf17d'),
        REDO('\uf01e'),
        CLOUD('\uf0c2'),
        WIX('\uf5cf'),
        NUTRITIONIX('\uf3d6'),
        HAND_HOLDING_USD('\uf4c0'),
        CAMERA_ALT('\uf332'),
        CERTIFICATE('\uf0a3'),
        REACTEUROPE('\uf75d'),
        CHEVRON_SQUARE_LEFT('\uf32a'),
        FROG('\uf52e'),
        CAMERA('\uf030'),
        DICE_THREE('\uf527'),
        PEN_SQUARE('\uf14b'),
        AVIATO('\uf421'),
        SORT('\uf0dc'),
        PENCIL('\uf040'),
        DOLLY_EMPTY('\uf473'),
        TRANSGENDER_ALT('\uf225'),
        WAREHOUSE_ALT('\uf495'),
        COMMENT_ALT_CHECK('\uf4a2'),
        SHARE_SQUARE('\uf14d'),
        TRAIN('\uf238'),
        BULLHORN('\uf0a1'),
        CREATIVE_COMMONS_PD_ALT('\uf4ed'),
        BABY('\uf77c'),
        DOLLY_FLATBED('\uf474'),
        STUMBLEUPON('\uf1a4'),
        MEDRT('\uf3c8'),
        TAG('\uf02b'),
        Y_COMBINATOR('\uf23b'),
        COFFIN('\uf6c6'),
        H_SQUARE('\uf0fd'),
        LOCK_OPEN('\uf3c1'),
        LOCK('\uf023'),
        GIT_SQUARE('\uf1d2'),
        CARROT('\uf787'),
        MICROPHONE_ALT('\uf3c9'),
        TRIANGLE('\uf2ec'),
        PAINT_BRUSH_ALT('\uf5a9'),
        CLOUD_MEATBALL('\uf73b'),
        BASKETBALL_HOOP('\uf435'),
        LAMP('\uf4ca'),
        ARROW_SQUARE_LEFT('\uf33a'),
        SELLCAST('\uf2da'),
        PAGELINES('\uf18c'),
        MONERO('\uf3d0'),
        NPM('\uf3d4'),
        KICKSTARTER('\uf3bb'),
        WATCH('\uf2e1'),
        DEER_RUDOLPH('\uf78f'),
        EMPTY_SET('\uf656'),
        ID_CARD_ALT('\uf47f'),
        CHECK_SQUARE('\uf14a'),
        CHART_LINE('\uf201'),
        ENVELOPE_OPEN('\uf2b6'),
        ARROW_ALT_FROM_LEFT('\uf347'),
        ROBOT('\uf544'),
        UNDO_ALT('\uf2ea'),
        FREEBSD('\uf3a4'),
        CC_VISA('\uf1f0'),
        APP_STORE_IOS('\uf370'),
        WON_SIGN('\uf159'),
        JIRA('\uf7b1'),
        BOXING_GLOVE('\uf438'),
        ACCESSIBLE_ICON('\uf368'),
        USER_MD('\uf0f0'),
        ALIGN_LEFT('\uf036'),
        MOTORCYCLE('\uf21c'),
        INBOX_IN('\uf310'),
        SPOTIFY('\uf1bc'),
        ANGLE_UP('\uf106'),
        BROOM('\uf51a'),
        MISTLETOE('\uf7b4'),
        DICE_D20('\uf6cf'),
        BOX_ALT('\uf49a'),
        PAPERCLIP('\uf0c6'),
        ZHIHU('\uf63f'),
        FILE_WORD('\uf1c2'),
        BALANCE_SCALE_RIGHT('\uf516'),
        USER_CLOCK('\uf4fd'),
        GRIPFIRE('\uf3ac'),
        WINE_GLASS('\uf4e3'),
        SYNC_ALT('\uf2f1'),
        ANGLE_DOUBLE_RIGHT('\uf101'),
        KISS('\uf596'),
        FINGERPRINT('\uf577'),
        HEART_SQUARE('\uf4c8'),
        REPUBLICAN('\uf75e'),
        EDIT('\uf044'),
        UNIVERSITY('\uf19c'),
        KHANDA('\uf66d'),
        ARROW_ALT_TO_RIGHT('\uf34c'),
        USER_ALT_SLASH('\uf4fa'),
        GLASSES('\uf530'),
        CAR_WASH('\uf5e6'),
        GLOBE('\uf0ac'),
        BLUETOOTH('\uf293'),
        BOOKS('\uf5db'),
        CPANEL('\uf388'),
        BARCODE_READ('\uf464'),
        GRIP_VERTICAL('\uf58e'),
        REV('\uf5b2'),
        SMOG('\uf75f'),
        INFO_SQUARE('\uf30f'),
        UMBRELLA('\uf0e9'),
        KAGGLE('\uf5fa'),
        UNDO('\uf0e2'),
        THUNDERSTORM('\uf76c'),
        DUMPSTER('\uf793'),
        LARAVEL('\uf3bd'),
        INDENT('\uf03c'),
        ARROW_ALT_CIRCLE_UP('\uf35b'),
        ROUTE('\uf4d7'),
        YARN('\uf7e3'),
        TIMES('\uf00d'),
        LEVEL_UP_ALT('\uf3bf'),
        WINDSOCK('\uf777'),
        PHONE_SQUARE('\uf098'),
        BLOGGER('\uf37c'),
        MONKEY('\uf6fb'),
        PARACHUTE_BOX('\uf4cd'),
        SIM_CARD('\uf7c4'),
        PAW_ALT('\uf701'),
        CLOUD_UPLOAD_ALT('\uf382'),
        BEHANCE('\uf1b4'),
        SIGN_OUT_ALT('\uf2f5'),
        STOMACH('\uf623'),
        STARS('\uf762'),
        LOCATION_CIRCLE('\uf602'),
        SIGN_IN_ALT('\uf2f6'),
        SHIRTSINBULK('\uf214'),
        OLD_REPUBLIC('\uf510'),
        CALENDAR_CHECK('\uf274'),
        SLACK('\uf198'),
        BED('\uf236'),
        COMMENTS_ALT('\uf4b6'),
        MONITOR_HEART_RATE('\uf611'),
        TRAFFIC_LIGHT_STOP('\uf63a'),
        TOGGLE_OFF('\uf204'),
        TRAFFIC_LIGHT('\uf637'),
        MEH_ROLLING_EYES('\uf5a5'),
        SHARE_ALT_SQUARE('\uf1e1'),
        IMDB('\uf2d8'),
        SOURCETREE('\uf7d3'),
        LONG_ARROW_RIGHT('\uf178'),
        MICROPHONE('\uf130'),
        ALLERGIES('\uf461'),
        ID_CARD('\uf2c2'),
        REDO_ALT('\uf2f9'),
        PLAY_CIRCLE('\uf144'),
        MIX('\uf3cb'),
        BUG('\uf188'),
        CHART_NETWORK('\uf78a'),
        DOLLAR_SIGN('\uf155'),
        PIED_PIPER_HAT('\uf4e5'),
        AWS('\uf375'),
        FLIPBOARD('\uf44d'),
        ROUTE_HIGHWAY('\uf61a'),
        COMPASS_SLASH('\uf5e9'),
        CHESS_QUEEN('\uf445'),
        MEDAL('\uf5a2'),
        FORUMBEE('\uf211'),
        MEGAPORT('\uf5a3'),
        LESS_THAN('\uf536'),
        EJECT('\uf052'),
        HOURGLASS_END('\uf253'),
        BUSINESS_TIME('\uf64a'),
        PLACE_OF_WORSHIP('\uf67f'),
        YELP('\uf1e9'),
        KITE('\uf6f4'),
        STAFF('\uf71b'),
        PHOENIX_FRAMEWORK('\uf3dc'),
        TIRE('\uf631'),
        SLACK_HASH('\uf3ef'),
        COFFEE_TOGO('\uf6c5'),
        ROCKRMS('\uf3e9'),
        TAPE('\uf4db'),
        SHOPPING_BAG('\uf290'),
        MIND_SHARE('\uf677'),
        MINUS_HEXAGON('\uf307'),
        CUBE('\uf1b2'),
        CAPSULES('\uf46b'),
        MARS_STROKE_V('\uf22a'),
        POO_STORM('\uf75a'),
        JOINT('\uf595'),
        MARS_STROKE_H('\uf22b'),
        SISTRIX('\uf3ee'),
        PROCEDURES('\uf487'),
        STUMBLEUPON_CIRCLE('\uf1a3'),
        REPEAT_1('\uf365'),
        QQ('\uf1d6'),
        RULER_COMBINED('\uf546'),
        CONVEYOR_BELT_ALT('\uf46f'),
        GRAV('\uf2d6'),
        PIED_PIPER('\uf2ae'),
        FIGHTER_JET('\uf0fb'),
        PLUS_OCTAGON('\uf301'),
        SHIELD_CROSS('\uf712'),
        PARKING_SLASH('\uf617'),
        BTC('\uf15a'),
        CHESS_CLOCK('\uf43d'),
        DUNGEON('\uf6d9'),
        YEN_SIGN('\uf157'),
        GLASS_MARTINI('\uf000'),
        THETA('\uf69e'),
        FLICKR('\uf16e'),
        KIDNEYS('\uf5fb'),
        CC_AMEX('\uf1f3'),
        KEYNOTE('\uf66c'),
        SORT_ALPHA_DOWN('\uf15d'),
        TRIPADVISOR('\uf262'),
        PLANE_ALT('\uf3de'),
        RENREN('\uf18b'),
        CLOUD_RAINBOW('\uf73e'),
        GRIN_BEAM('\uf582'),
        KEY('\uf084'),
        COMMENT_MINUS('\uf4b1'),
        TH_LIST('\uf00b'),
        FORT_AWESOME('\uf286'),
        MINUS_OCTAGON('\uf308'),
        DRUM('\uf569'),
        MAP_MARKER_PLUS('\uf60a'),
        FILE_CONTRACT('\uf56c'),
        ARROW_ALT_SQUARE_DOWN('\uf350'),
        CREATIVE_COMMONS_SAMPLING('\uf4f0'),
        MICROPHONE_ALT_SLASH('\uf539'),
        RULER_TRIANGLE('\uf61c'),
        ARROW_RIGHT('\uf061'),
        CC_PAYPAL('\uf1f4'),
        COMMENT('\uf075'),
        UTENSILS_ALT('\uf2e6'),
        GET_POCKET('\uf265'),
        KICKSTARTER_K('\uf3bc'),
        COMMENT_LINES('\uf4b0'),
        LAUGH('\uf599'),
        TABLE('\uf0ce'),
        AD('\uf641'),
        CONNECTDEVELOP('\uf20e'),
        TRADEMARK('\uf25c'),
        CLOUD_MOON('\uf6c3'),
        CHALKBOARD('\uf51b'),
        ERASER('\uf12d'),
        STAR_OF_LIFE('\uf621'),
        FEATHER('\uf52d'),
        SQUARE_FULL('\uf45c'),
        GRIN_HEARTS('\uf584'),
        USER_COG('\uf4fe'),
        SHUTTLECOCK('\uf45b'),
        ARROW_FROM_LEFT('\uf343'),
        TREE_DECORATED('\uf7dc'),
        JEDI_ORDER('\uf50e'),
        VIMEO('\uf40a'),
        TSHIRT('\uf553'),
        BOX_HEART('\uf49d'),
        SITH('\uf512'),
        VK('\uf189'),
        ATOM_ALT('\uf5d3'),
        LINKEDIN('\uf08c'),
        DESKPRO('\uf38f'),
        ENVELOPE_SQUARE('\uf199'),
        GALACTIC_REPUBLIC('\uf50c'),
        HIGHLIGHTER('\uf591'),
        LINODE('\uf2b8'),
        RADIATION('\uf7b9'),
        CROSS('\uf654'),
        PYTHON('\uf3e2'),
        PHONE_VOLUME('\uf2a0'),
        SOLAR_PANEL('\uf5ba'),
        ANDROID('\uf17b'),
        WHEELCHAIR('\uf193'),
        INFINITY('\uf534'),
        HAND_POINT_DOWN('\uf0a7'),
        MAP_MARKER('\uf041'),
        CALENDAR_ALT('\uf073'),
        DIPLOMA('\uf5ea'),
        OCTAGON('\uf306'),
        MAILCHIMP('\uf59e'),
        BINOCULARS('\uf1e5'),
        STICKY_NOTE('\uf249'),
        AFFILIATETHEME('\uf36b'),
        WHALE('\uf72c'),
        PHP('\uf457'),
        MAP_MARKED('\uf59f'),
        EXPAND('\uf065'),
        SHUTTLE_VAN('\uf5b6'),
        HOLLY_BERRY('\uf7aa'),
        FILE_DOWNLOAD('\uf56d'),
        HACKER_NEWS('\uf1d4'),
        GOLF_BALL('\uf450'),
        SNAKE('\uf716'),
        LIGHTBULB('\uf0eb'),
        ARROW_ALT_SQUARE_UP('\uf353'),
        ROCKET('\uf135'),
        LESS('\uf41d'),
        BOOT('\uf782'),
        PENNY_ARCADE('\uf704'),
        ARROWS_ALT('\uf0b2'),
        CRITICAL_ROLE('\uf6c9'),
        BUS_SCHOOL('\uf5dd'),
        EXPEDITEDSSL('\uf23e'),
        COMMENT_ALT_SMILE('\uf4aa'),
        ADN('\uf170'),
        BADGE_CHECK('\uf336'),
        GAS_PUMP('\uf52f'),
        CSS3('\uf13c'),
        STRAVA('\uf428'),
        SKYATLAS('\uf216'),
        METEOR('\uf753'),
        CENTERCODE('\uf380'),
        MAP_MARKER_EDIT('\uf607'),
        INTERSECTION('\uf668'),
        THEATER_MASKS('\uf630'),
        HEART_CIRCLE('\uf4c7'),
        POLL_H('\uf682'),
        MODX('\uf285'),
        USER_CHECK('\uf4fc'),
        AUDIBLE('\uf373'),
        BOWLING_BALL('\uf436'),
        GLOBE_EUROPE('\uf7a2'),
        CHURCH('\uf51d'),
        TUMBLR('\uf173'),
        ENVIRA('\uf299'),
        HOME('\uf015'),
        EMPIRE('\uf1d1'),
        BALLOT('\uf732'),
        PIED_PIPER_ALT('\uf1a8'),
        QUIDDITCH('\uf458'),
        ARROW_ALT_SQUARE_LEFT('\uf351'),
        APPLE_ALT('\uf5d1'),
        HURRICANE('\uf751'),
        PENCIL_PAINTBRUSH('\uf618'),
        FEDEX('\uf797'),
        WATER_LOWER('\uf774'),
        LAUGH_BEAM('\uf59a'),
        TEETH_OPEN('\uf62f'),
        DOCHUB('\uf394'),
        CSS3_ALT('\uf38b'),
        TUMBLR_SQUARE('\uf174'),
        BELL_SCHOOL('\uf5d5'),
        COMMENT_ALT_TIMES('\uf4ab'),
        PASTE('\uf0ea'),
        FONT_AWESOME_ALT('\uf35c'),
        FILE_EXCLAMATION('\uf31a'),
        UNION('\uf6a2'),
        RADIATION_ALT('\uf7ba'),
        H2('\uf314'),
        H3('\uf315'),
        H1('\uf313'),
        SOCKS('\uf696'),
        REPLY_ALL('\uf122'),
        TEMPERATURE_LOW('\uf76b'),
        BRUSH('\uf55d'),
        FEMALE('\uf182'),
        SCANNER('\uf488'),
        CIRCLE_NOTCH('\uf1ce'),
        LIGHTBULB_ON('\uf672'),
        SNOWPLOW('\uf7d2'),
        LOW_VISION('\uf2a8'),
        FILE_IMPORT('\uf56f'),
        DRUMSTICK('\uf6d6'),
        CC_AMAZON_PAY('\uf42d'),
        FUNCTION('\uf661'),
        CRICKET('\uf449'),
        FOOTBALL_BALL('\uf44e'),
        BUS('\uf207'),
        VOLUME('\uf6a8'),
        PASTAFARIANISM('\uf67b'),
        EAR('\uf5f0'),
        TRUCK_MOVING('\uf4df'),
        ARROW_FROM_BOTTOM('\uf342'),
        SHIELD_ALT('\uf3ed'),
        LONG_ARROW_UP('\uf176'),
        PARKING_CIRCLE('\uf615'),
        MONUMENT('\uf5a6'),
        RESEARCHGATE('\uf4f8'),
        ARROW_LEFT('\uf060'),
        SKATING('\uf7c5'),
        MEDIUM_M('\uf3c7'),
        VENUS_MARS('\uf228'),
        USD_SQUARE('\uf2e9'),
        PIE('\uf705'),
        PIG('\uf706'),
        UTENSILS('\uf2e7'),
        FLAG_CHECKERED('\uf11e'),
        CLOUDSCALE('\uf383'),
        GRIN_SQUINT_TEARS('\uf586'),
        RETWEET_ALT('\uf361'),
        PERCENT('\uf295'),
        BOOK('\uf02d'),
        COMMENT_ALT_EXCLAMATION('\uf4a5'),
        ARROW_CIRCLE_LEFT('\uf0a8'),
        FILE_AUDIO('\uf1c7'),
        SATELLITE_DISH('\uf7c0'),
        FILM_ALT('\uf3a0'),
        REPEAT('\uf363'),
        STAR('\uf005'),
        TIRE_RUGGED('\uf634'),
        UNIREGISTRY('\uf404'),
        MENDELEY('\uf7b3'),
        SHREDDER('\uf68a'),
        GHOST('\uf6e2'),
        PRESCRIPTION_BOTTLE_ALT('\uf486'),
        MONEY_BILL_WAVE_ALT('\uf53b'),
        SASS('\uf41e'),
        BAND_AID('\uf462'),
        EXPAND_ALT('\uf424'),
        CHEVRON_UP('\uf077'),
        HAND_POINT_UP('\uf0a6');


        private final char ch;

        private Glyph(char ch) {
            this.ch = ch;
        }

        public char getChar() {
            return this.ch;
        }
    }
}
